Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::GlyphGeometry Class Reference

A PangoGlyphGeometry C++ wrapper class. More...

`#include <inti/pango/glyph.h>`

List of all members.

## Public Member Functions

- PangoGlyphGeometry * pango_glyph_geometry () const
    Get a pointer to the PangoGlyphGeometry structure.
- GlyphUnit width () const
    Returns the logical width of the character.
- GlyphUnit x_offset () const
    Returns the horizontal offset from nominal character position.
- GlyphUnit y_offset () const
    Returns the vertical offset from nominal character position.

## Detailed Description

A PangoGlyphGeometry C++ wrapper class.

GlyphGeometry contains the width and positioning information for a single glyph. Distances are in 1/64ths of a point.

The documentation for this class was generated from the following file:

- glyph.h

Main Page - Footer